// Verilog definition of TB2
// created by TB

module TB2(N50, N51, N52, N53, N54, N55, N56);
input N50;
input N51;
input N52;
input N53;
input N54;
output N55;
output N56;

  wire N57;
  wire N61;
  wire N68;

  inv02 ix133(N57, N56);
  oai21 ix21(N51, N54, N61, N57);
  nand02_2x ix136(N52, N53, N61);
  ao21 ix138(N50, N52, N68, N55);
  and02 ix9(N51, N61, N68);

endmodule
